/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.soap.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/**
 * Eclipseプラグイン blancoSOAPのためのウィザード・ページ
 * 
 * @author IGA Tosiki
 */
public class BlancoSOAPWizardPage2 extends WizardPage {

    // private ISelection selection;

    public BlancoSOAPWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle("blancoSOAPの紹介");
        // this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoSOAPPlugin はSOAPに関連するクラスを駆動するためのプラグインです。");
        new Label(container, SWT.NONE)
                .setText("  1.電文処理定義書・電文定義書といった様式から各種ファイルを自動生成します。");
        new Label(container, SWT.NONE).setText("  2.Eclipseプラグインの形式で配布されています。");
        new Label(container, SWT.NONE)
                .setText("    (1)電文処理定義書・電文定義書から WSDLおよびXML Schema (XSD)を自動生成します。");
        new Label(container, SWT.NONE)
                .setText("       ※Excel様式からWSDLやXSDを自動生成することが可能になります。");
        new Label(container, SWT.NONE)
                .setText("    (2)XSDを入力として Java言語用のValueObjectソースコードを自動生成します。");
        new Label(container, SWT.NONE)
                .setText("    (3)WSDL/XSDを入力として C#.NET言語用のWebサービス関連クラス・ソースコードを自動生成します。");

        setControl(container);
    }
}